package com.ruoyi.yh.logImport.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 导入日志对象 bst_log_import
 *
 * @author ruoyi
 * @date 2024-11-07
 */
@Data
public class LogImport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long logId;

    @Excel(name = "状态", readConverterExp = "1=处理中,2=处理完成")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "业务类型", readConverterExp = "1=单价")
    @ApiModelProperty("业务类型")
    private String bizType;

    @Excel(name = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;

    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("完成时间")
    private LocalDateTime finishedTime;

    @Excel(name = "日志类型", readConverterExp = "1=导入日志,2=同步日志")
    @ApiModelProperty("日志类型")
    private String type;
}
