package com.ruoyi.yh.logImportDetail.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 导入日志明细对象 bst_log_import_detail
 *
 * @author ruoyi
 * @date 2024-11-07
 */
@Data
public class LogImportDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long detailId;

    @Excel(name = "导入日志ID")
    @ApiModelProperty("导入日志ID")
    private Long logId;

    @Excel(name = "类型", readConverterExp = "1=新增,2=修改,3=失败")
    @ApiModelProperty("类型")
    private String type;

    @Excel(name = "导入的数据json")
    @ApiModelProperty("导入的数据json")
    private String content;

    @Excel(name = "导入结果信息")
    @ApiModelProperty("导入结果信息")
    private String message;

    @Excel(name = "业务数据ID")
    @ApiModelProperty("业务数据ID")
    private Long bstId;
}
