package com.ruoyi.yh.material.service;

import com.alibaba.fastjson2.JSONArray;
import com.ruoyi.yh.material.domain.Material;

import java.util.List;

/**
 * @author wjh
 * 2024/11/12
 */
public interface MaterialConverter {

    /**
     * 将ERP数据转为PO列表
     * @param headers 表头
     * @param erpList 数据列表
     */
    List<Material> toPoByErpList(List<String> headers, List<JSONArray> erpList);
}
