package com.ruoyi.yh.prodOrder.domain;

import java.math.BigDecimal;

import com.ruoyi.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/10/29
 */
@Data
public class ProdOrderVO extends ProdOrder {

    @Excel(name = "生产车间")
    @ApiModelProperty("生产车间名称")
    private String workShopName;

    @Excel(name = "订单进度")
    @ApiModelProperty("订单进度")
    private BigDecimal progress;

}
