package com.ruoyi.yh.reportProd.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/10/31
 */
@Data
public class ReportProdQuery extends ReportProdVO {

    @ApiModelProperty("报表ID列表")
    private List<Long> reportIds;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("报表日期范围")
    private List<LocalDate> reportDateRange;

    @ApiModelProperty("单价匹配")
    private Boolean priceMatch;

    @ApiModelProperty("ID列表")
    private List<Long> ids;

    @ApiModelProperty("精准工序名称")
    private String eqPriceName;

    @ApiModelProperty("精准工序类别")
    private String eqPriceCategory;

    @ApiModelProperty("精准工序大小")
    private String eqPriceSize;
}
