package com.ruoyi.yh.shift.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wjh
 * 2024/12/7
 */
@Data
public class ShiftQuery extends ShiftVO{

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("调班时间范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private List<LocalDateTime> shiftTimeRange;

}
