package com.ruoyi.yh.verify.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审核记录对象 bst_verify
 *
 * @author ruoyi
 * @date 2025-04-01
 */
@Data
public class Verify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "审核人ID")
    @ApiModelProperty("审核人ID")
    private Long userId;

    @Excel(name = "业务类型")
    @ApiModelProperty("业务类型")
    private String bstType;

    @Excel(name = "业务ID")
    @ApiModelProperty("业务ID")
    private Long bstId;

    @Excel(name = "状态", readConverterExp = "1=通过,2=未通过")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "审核意见")
    @ApiModelProperty("审核意见")
    private String reason;

}
