package com.ruoyi.web.dashboard;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.reportOrderProd.service.ReportOrderProdDashboardService;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdQuery;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dashboard/reportOrderProd")
public class DashboardReportOrderProdController extends BaseController{

    @Autowired
    private ReportOrderProdDashboardService reportOrderProdDashboardService;

    @ApiOperation("订单产量统计")
    @GetMapping("/sum")
    public AjaxResult sum(ReportOrderProdQuery query) {
        return AjaxResult.success(reportOrderProdDashboardService.selectSum(query));
    }
}
