package com.ruoyi.dashboard.report.domain.dailyProd;

import java.math.BigDecimal;
import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 工序每日产量VO
 */
@Data
public class DailyProdVO {

    @ApiModelProperty("工序")
    private String priceName;

    @ApiModelProperty("类别")
    private String priceCategory;

    @ApiModelProperty("大小")
    private String priceSize;

    @ApiModelProperty("单位")
    private String priceUnit;

    @ApiModelProperty("日期")
    private LocalDate reportDate;

    @ApiModelProperty("产量")
    private BigDecimal totalNum;

}
