package com.ruoyi.dashboard.report.domain.dailySalary;

import java.math.BigDecimal;
import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户每日工资VO
 */
@Data
public class UserDailySalaryVO {

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("工号")
    private String userNo;

    @ApiModelProperty("日期")
    private LocalDate reportDate;

    @ApiModelProperty("总工资")
    private BigDecimal totalPrice;
    
}