package com.ruoyi.dashboard.report.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.dashboard.report.domain.dailyProd.DailyProdVO;
import com.ruoyi.dashboard.report.domain.sum.ReportProdSumVO;
import com.ruoyi.yh.reportProd.domain.ReportProdQuery;
import com.ruoyi.yh.reportProd.mapper.ReportProdMapper;

@Service
public class ReportProdDashboardService {

    @Autowired
    private ReportProdMapper reportProdMapper;

    public ReportProdSumVO selectSum(ReportProdQuery query) {
        return reportProdMapper.selectSum(query);
    }

    public List<DailyProdVO> selectDailyProd(ReportProdQuery query) {
        return reportProdMapper.selectDailyProd(query);
    }
}
