package com.ruoyi.dashboard.report.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.dashboard.report.domain.dailySalary.UserDailySalaryVO;
import com.ruoyi.dashboard.report.domain.sum.ReportUserProdSumVO;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;
import com.ruoyi.yh.reportUserProd.mapper.ReportUserProdMapper;

@Service
public class ReportUserProdDashboardService {

    @Autowired
    private ReportUserProdMapper reportUserProdMapper;

    public ReportUserProdSumVO selectSum(ReportUserProdQuery query) {
        return reportUserProdMapper.selectSum(query);
    }

    /**
     * 用户工资统计
     */
    public List<UserDailySalaryVO> selectDailySalary(ReportUserProdQuery query) {
        return reportUserProdMapper.selectDailySalary(query);
    }
}
