package com.ruoyi.system.domain.dto;

import com.ruoyi.common.core.domain.entity.SysDept;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Collection;
import java.util.List;

/**
 * @author wjh
 * 2024/11/7
 */
@Data
public class SysDeptQuery extends SysDept {

    @ApiModelProperty("部门名称列表")
    private List<String> deptNames;

    @ApiModelProperty("ERP部门ID列表")
    private Collection<String> erpIds;
}
