package com.ruoyi.yh.price.domain;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wjh
 * 2024/10/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PriceQuery extends PriceVO {

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("单价ID列表")
    private List<Long> priceIds;

    @ApiModelProperty("排除的单价ID列表")
    private List<Long> excludePriceIds;

    @ApiModelProperty("排除的单价ID")
    private Long excludePriceId;

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("关键词列表")
    private List<String> keywords;

    @ApiModelProperty("精准分类")
    private String eqCategory;

    @ApiModelProperty("精准大小")
    private String eqSize;

    @ApiModelProperty("精准图案")
    private String eqPattern;

    @ApiModelProperty("精准名称")
    private String eqName;

    @ApiModelProperty("是否需要所有匹配")
    private Boolean needAllMatch;

}
