package com.ruoyi.yh.price.service;

import com.ruoyi.yh.price.domain.Price;
import com.ruoyi.yh.price.domain.dto.PriceVerifyDTO;

import java.util.List;

/**
 * @author wjh
 * 2024/10/17
 */
public interface PriceConverter {

    /**
     * 创建时，转为PO
     */
    Price toPoByCreate(Price data);

    /**
     * 修改时，转为PO
     */
    Price toPoByUpdate(Price data);

    /**
     * 审核时，转为PO
     */
    List<Price> toPoByVerify(PriceVerifyDTO dto);
}
