package com.ruoyi.yh.reportUserProd.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.yh.reportUserProd.domain.ReportUserProdVO;
import com.ruoyi.yh.reportUserProd.domain.bo.ReportUserProdBO;
import com.ruoyi.yh.reportUserProd.service.ReportUserProdConverter;

/**
 * @author wjh
 * 2024/11/2
 */
@Service
public class ReportUserProdConverterImpl implements ReportUserProdConverter {
    /**
     * 新增时，vo转bo
     *
     * @param vo
     * @return
     */
    @Override
    public ReportUserProdBO toBoByCreate(ReportUserProdVO vo) {
        if (vo == null) {
            return null;
        }

        ReportUserProdBO bo = new ReportUserProdBO();
        bo.setUserId(vo.getUserId());
        bo.setNum(vo.getNum());
        bo.setConfiscate(vo.getConfiscate());
        return bo;
    }

    @Override
    public ReportUserProdBO toBoByUpdate(ReportUserProdVO vo) {
        if (vo == null) {
            return null;
        }
        ReportUserProdBO bo = new ReportUserProdBO();
        bo.setId(vo.getId());
        bo.setUserId(vo.getUserId());
        bo.setNum(vo.getNum());
        bo.setConfiscate(vo.getConfiscate());
        return bo;
    }
}
