package com.ruoyi.yh.shift.service.impl;

import com.ruoyi.yh.shift.domain.Shift;
import com.ruoyi.yh.shift.service.ShiftConverter;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/12/7
 */
@Service
public class ShiftConverterImpl implements ShiftConverter {
    @Override
    public Shift toPoByCreate(Shift data) {
        if (data == null) {
            return null;
        }

        Shift po = new Shift();
        po.setUserIds(data.getUserIds());
        po.setShiftTimeStart(data.getShiftTimeStart());
        po.setShiftTimeEnd(data.getShiftTimeEnd());
        po.setTargetDeptId(data.getTargetDeptId());
        po.setCreateId(data.getCreateId());
        po.setDeptId(data.getDeptId());
        po.setCreateBy(data.getCreateBy());
        po.setRemark(data.getRemark());
        return po;
    }

    @Override
    public Shift toPoByUpdate(Shift data) {
        if (data == null) {
            return null;
        }

        Shift po = new Shift();
        po.setShiftId(data.getShiftId());
        po.setUserIds(data.getUserIds());
        po.setShiftTimeStart(data.getShiftTimeStart());
        po.setShiftTimeEnd(data.getShiftTimeEnd());
        po.setTargetDeptId(data.getTargetDeptId());
        po.setRemark(data.getRemark());
        po.setUpdateId(data.getUpdateId());
        po.setUpdateBy(data.getUpdateBy());
        po.setUpdateId(data.getUpdateId());
        return po;
    }
}
