package com.ruoyi.yh.unit.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 单位对象 bst_unit
 *
 * @author ruoyi
 * @date 2024-11-18
 */
@Data
public class Unit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long unitId;

    @Excel(name = "ERP单位ID")
    @ApiModelProperty("ERP单位ID")
    private String erpId;

    @Excel(name = "ERP禁用状态", readConverterExp = "A=否,B=是")
    @ApiModelProperty("ERP禁用状态")
    private String erpForbidStatus;

    @Excel(name = "ERP名称")
    @ApiModelProperty("ERP名称")
    private String erpName;

    @Excel(name = "ERP编码")
    @ApiModelProperty("ERP编码")
    private String erpNumber;

}
