package com.ruoyi.web.dashboard;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.report.service.ReportDashboardService;
import com.ruoyi.yh.report.domain.ReportQuery;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dashboard/report")
public class DashboardReportController extends BaseController {

    @Autowired
    private ReportDashboardService reportDashboardService;

    @ApiOperation("报表统计")
    @GetMapping("/sum")
    public AjaxResult sum(ReportQuery query) {
        return AjaxResult.success(reportDashboardService.selectSum(query));
    }
}
